﻿@model IEnumerable<SSCMvc.Models.MaEnqFollow>
    @using SSCMvc.Models;
    @using SSCMvc.Webutil;
    @{
        ViewBag.Title = "Mock Test List";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }
    @section scripts{
        <style type="text/css">
            div.box div.overlay {
                display: none;
            }
        </style>
        <script type="text/javascript">
            $(document).ready(function () {
                $(function () {
                    $(".box").hover(function () {
                        $(this).find(".overlay").fadeIn();
                    }
                                    , function () {
                                        $(this).find(".overlay").fadeOut();
                                    }
                                   );
                });
            });
        </script>
    }

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Mock Test List
        </h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <div class="btn-group">
                </div>
            </div>
            <div class="well" >
                <table class="table">
                    <thead>
                        <tr>
                            <th>
                                @Html.DisplayNameFor(model => model.CDate)
                            </th>
                            @*<th>
                            @Html.DisplayNameFor(model => model.FollowUpType)
                        </th>*@

                            <th style="width:100px;overflow:hidden">
                                @Html.DisplayNameFor(model => model.Remarks)
                            </th>
                            <th>
                                @*@Html.DisplayNameFor(model => model.NextDate)*@
                                Next FollowUp Date
                            </th>

                            <th>
                                Enquiry Status
                            </th>

                            <th>
                                By
                            </th>
                        </tr>
                    </thead>

                    <tbody>
                        @foreach (var item in Model)
            {
                            <tr>
                                <td>

                                    @Html.DisplayFor(modelItem => item.CDate)
                                </td>
                                @*<td>
                                @Html.DisplayFor(modelItem => item.FollowUpType)
                            </td>*@
                                <td>

                                    @{
                                        string rem = item.Remarks;
                                        if (rem != null)
                                        {
                                            if (rem.Length > 20)
                                            {
                                                string sustrg = rem.Substring(0, 20);
                                                @sustrg
                                                <br />
                                                @*<a id="remarks" onclick="GetRemarks(@item.Id);">Read-More...</a>*@
                                                <div class="box">
                                                    <a id="remarks" style="color:blue">Read-More...</a>
                                                    <div class="overlay">
                                                        @rem
                                                    </div>
                                                </div>
                                            }
                                            else
                                            {
                                                @rem
                                            }
                                        }
                                    }
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.NextDate)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Enqstatus)
                                </td>

                                <td>
                                    @Html.DisplayFor(modelItem => item.User.Fullname)
                                </td>
                            </tr>
                                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
